package com.ch.jedge.jbot;

import com.changhong.jedge.JMgbusClient;

import static com.ch.jedge.jbot.JEJBotLLMConst.*;

public class JedgeLlmBotClient extends JMgbusClient {

    static private JedgeLlmBotClient glLlmBot;

    public JedgeLlmBotClient(String subnet, String mgc_name, int threadCount, boolean tryLocal) {
        super(subnet, mgc_name, threadCount, tryLocal);
    }

    public static JedgeLlmBotClient getInstance() {
        if(glLlmBot == null) {
            glLlmBot = new JedgeLlmBotClient("#0", sval_default_jbot_jedge, 10, true);
            JedgeBotGptService service = new JedgeBotGptService(glLlmBot);
            glLlmBot.bindService(sval_default_gpt_service, service);
//            glLlmBot.bindService(sval_default_gpt_voice_service, new JedgeVoiceBotService(glLlmBot));
        }
        return glLlmBot;
    }

}
